Subject: Re: [nemo] merged multihoming draft

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 01 Mar 2004 12:00:46 +0100

Thierry Ernst wrote:
> I would appreciate if you could read through the multihoming section
> in draft-ietf-nemo-terminology and comment on the definition.

Side note on this.  Matthias uses MH to stand for Multi-Homing, I use it
to stand for Mobile Host and others use it to stand for Mobility Header.

A MHMH sends multiple MH's (a Multi-Homed Mobile Host sends multiple
Mobility Headers)...

Alex

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 01 Mar 2004 12:00:46 +0100

Alex

---

From: Mattias Pettersson <[email-masked]>
Date: Tue, 09 Mar 2004 21:06:16 +0100

Hi Thierry,

Thierry Ernst wrote:
> Hi Mattias,
> 
> 
>>>>>  o  (N,1,N) Mobile Network
> 
> 
>>Thierry, Chan-Wah [I answer you both here],
>>
>>It is a question on what entities should carry out the dirty work. 
>>Either the MRs or the MNNs.
> 
> 
> It's not the same dirty work. 
> 
> On the MR, it's about registering several prefixes, or synchronisation
> 
> On the MNN, it's about source address selection. Any host is considered
> to implement some source address selection mechanism. Or, is there
> anything else dirty to do ?

Yes, some form of source address selection mechanism. But e.g. RFC3484 
would not help (enough) here.

> 
> 
>>To me it is important that legacy IPv6 hosts can still get connectivity 
>>in a moving network without having to implement new proposals such as 
>>draft-huitema-multi6-hosts-xx.
>>
>>So what is most important: to support standard IPv6 hosts or to simplify 
>>the MR? It seems like in order to simplify the MR we are proposing to 
>>introduce a NEMO scenario that was considered "broken" in the IPv6 WG 
>>earlier. All routers on a link are equal, from the host's point of view! 
>>The ND model builds on that. I agree that we have arguments both in NEMO 
>>and in multi6 to question that model, but we do we want to change that 
>>model just to allow a variant of a scenario?
> 
> 
> I personaly wish to support standard IPv6 hosts. But I've never heard
> that advertising multiple prefixes would break the model. Do you have
> any reference to a possible decision made by the IPv6 WG to disallow
> such scenario ? Any document where this is documented ?

I've been looking for that old discussion but I can't find it. Attached 
below is a similar old conversation (from 2002-06-06) on this ML.

I've posted a clarification request on IPv6 ML so we'll have to see if 
someone else remembers it all.

/Mattias

----
>>> We have two cases of multihoming: 
>>> a. a single MR with 2 interfaces
>>> b. 2 or more MRs
>>> 
>>> For a), the problem is trivial, the MR needs to
>>> decide which packets should be forwarded to which
>>> egress interface. 
>>> 
>>> For b) the problem is less trivial, but certainly 
>>> solveable without too much complexity. In fact, I'm
>>> hoping we can do that without any new protocols. 
>>> The problem is mainly for LFNs. Somehow, we need to 
>>> make sure that LFNs continue to operate as standard
>>> IPv6 nodes that are neither MIPv6-aware, nor nemo-aware. 
>>> This can be done with some cooperation between MRs. 
>>> I don't have a solution written up, but anyway let's 
>>> not dwell on the solution so much right now, let's 
>>> think on a 'requirements' level and the possible consequences
>>> of our decisions. 
> 
> 
> I think the issue is really whether we assume cooperation and coordination
> between the two MRs. From the hosts (LFN or anything else) there
> is no difference between a single MR advertising N prefixes (N can be one or 
> more than one) and multiple MR's advertising N prefixes.
> 
> However, if anybody is thinking that one can have 2 uncoordinated MRs e.g.
> MR1 advertising prefix P1 and MR2 advertising prefix P2, *and* there is
> an assumption that MR1 can only handle packets with P1 as the source prefix
> and vice versa, then we don't fit well in the current architecture.
> This is because hosts don't assume any relationship between which
> source address they use and which of the default routers they use.
> 
> Thus I suspect that if we avoid the can of worms associated with 
> uncoordinated MRs, then the multiple MR case is just as easy as the
> single MR case.
> But it sure wouldn't hurt to right this down in some document
> about model/assumptions.
> 
>    Erik
> 

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

---

From: Mattias Pettersson <[email-masked]>
Date: Tue, 09 Mar 2004 21:06:16 +0100

Hi Thierry,

/Mattias

----

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 26 Feb 2004 17:52:59 +0900

Hi Mattias,

Thierry

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 26 Feb 2004 17:44:36 +0900

> >    o  (N,1,N) Mobile Network
> > 
> >       The (N,1,N) mobile network has multiple active egress mobile
> >       routers registering to the same home-agent, and advertising
> >       multiple prefixes. If a mobile router is advertising more than one
> >       prefix, we have the same problem as (1,1,N) as in how to register
> >       more than one NEMO-prefix to the same home-agent.
> > 
> >       On the other hand, if each mobile router take cares of a separate
> >       (and only one) NEMO-prefix, then there should not be any
> >       NEMO-specific problem.
> 
> As I remember Erik once said to me in an earlier NEMO discussion: we 
> don't want to go down the second alternative. MRs should not advertise 
> different prefixes to the same link - they must advertise the same 
> prefix set (or otherwise be coordinated and able to route traffic on 
> behalf of each other). For an MNN, each MR is a just default router and 
> all default routers must be able to route all traffic. We don't want to 
> put such requirements on the MNNs to map each prefix to a specific exit 
> router and remembering to use the correct source address when sending to 
> a specific default router.

Just one more detail: the fact that multiple prefixes are advertised on
the mobile network's egreess interface doesn't preclude that multiple
NEMO-prefixes will be advertised down the mobile network. So, I guess
there are several interpretations of this case. The sentence starting
with 'since ...' in section 2.6 should be clarified (probably adding
'may be advertised'.

Not allowing to advertise multiple prefixes may be one recommendation,
but then, it means we have to design a protocol to synchronize MRs. On
the other hand, if we allow the advertisement of multiple NEMO-prefixes,
MNNs have to select their source address.

What I said is of course orthogonal with multiple NEMO-prefix
registration with the HA.

> Such a general host behaviour may be required for multihoming to work in 
> IPv6 some day, but we have not reached that point yet.

Thierry

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 26 Feb 2004 18:00:43 +0900

Hi,

> Perhaps in the case of multiple prefixes, the dirty work has to be carried
> by the Home Network Site Exit routers?

Can we be more specific with 'dirty work' ? 

> Fully agree with the first statement.
> But Host centric (draft-huitema-multi6-hosts) approach allows exactly this
> for multihomed network.
> 
> That is, that a regular IPv6 host is connected to the multihomed network and
> still works properly.
> Clearly, there some benefits, like preserving established communications
> through outages, that it will not be able to obtain, but at least it will
> work fine and its operation won't be disturbed because of multihoming.
> 
> >
> > the MR?
> I fully agree that standard IPv6 have to keep on working properly.
> Perhaps they won't obtain all the multihoming benefits, though
> 
> > It seems like in order to simplify the MR we are proposing to
> Well, again this IMHO is generic to multihoming and not specific to nemo.
> I guess that if a hosts has to be updated to obtain full multihoming
> benefits in a fixed network, it would be reasonable that it also has to be
> updated in order to obtain multihoming benefits in nemo.

Fully agree. 

What is specific to NEMO WG is the ability to register several
NEMO-prefixes with the HA, if we need to.

Obtaining all potential benefits of multihoming is not a NEMO task. It
should be carried on by another WG which doesn't focus on mobility. On
the other hand, our goal is to document the issues; I suspect actions
will have been taken by other WGs based on the conclusions of the NEMO
Multihoming Pb Statement WG document.

Thierry.

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 26 Feb 2004 18:05:57 +0900

> I have an additional question about this draft:
> 
> Why do you consider that a mobile network that has several prefixes is
> multihomed.
> I mean, i would say that a natural case for this is that the Home network is
> multihomed, but not really the Mobile Network.
> In this case, i guess that there is nothing NEMO specific, only that general
> multi6 solutions have to be supported.
> 
> Am i missing something? ( i haven't been around for long, so i have missed
> previous discussions on this topic)

Hi Marcelo,

This is may be a definition issue ?  I agree that taking the definition
to the words may tell that any host in the Internet is multihomed since
border routers usually are.  I would indeed say that the MRs might be
multihoming, but the MNNs might not be.

I would appreciate if you could read through the multihoming section in
draft-ietf-nemo-terminology and comment on the definition. That would be
helpful for us.

Thierry.